part of 'live_photo_bloc.dart';

@immutable
class LivePhotoState {
  const LivePhotoState({
    this.status = StateStatus.idle,
    this.photoData,
  });

  final StateStatus status;
  final LivePhotoData? photoData;

  LivePhotoState copyWith({
    StateStatus? status,
    LivePhotoData? photoData,
  }) {
    return LivePhotoState(
      status: status ?? this.status,
      photoData: photoData ?? this.photoData,
    );
  }

  LivePhotoState removeCurrentPhoto({
    StateStatus? status,
  }) {
    return LivePhotoState(
      status: status ?? this.status,
      photoData: null,
    );
  }
}
